Krytyczny błąd w Extreme-fusion!

Extreme-fusion i PHP-fusion to najpopularniejsze na świecie systemy zarządzania treścią, uznawane za jedne z najbardziej funkcjonalnych i bezpiecznych. Ale czy tak jest na pewno. rust rabbit i Sweet wykryli krytyczny błąd, który pozwala na przejęcie całkowitej kontroli nad portalem.

Błąd znajdował się w pliku submit.php. Luka związana była z brakiem odpowiednich zabezpieczeń przy dodawaniu treści przez użytkownika. Napastnik bez problemów może wprowadzić na serwer w żaden sposób nie preparowane pliki, zawierające złośliwy kod, co w efekcie pozwala przejąć pełną kontrole nad portalem i bazą danych, a w skrajnych przypadkach nawet nad serwerem, na którym znajduje się strona. Kod jest na tyle groźny, że pozwala crackerowi zniszczyć zawartość portalu w przeciągu kilku minut. Wykorzystując lukę można uzyskać dostęp do bazy danych w ciągu 5 sekund!!! I to nie żart. Dodatkowo ataki tą metodą są całkowicie niewykrywalne.

Poprawka eliminująca błąd napisana przez Sweet'a jest dostępna na oficjalnej Poskiej stronie eXtreme-fusiona. Wszystkim użytkownikom fusiona zaleca się dokonanie aktualizacji. W najbliższym czasie powinien pojawić się infusion dający pełną kontrolę nad plikiem submit.php.

Poprawiony plik submit.php można również pobrać z serwera HACK.pl

Realizacja: SIPLEX Studio